﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS700D (1 yr) Bandwidth IEEE /9500/3200
INSTRUMENT:            Sub TDS700D (1 yr) Sens IEEE /9500/3200
DATE:                  2017-02-13 08:59:37
AUTHOR:                Fluke
REVISION:              $Revision: 18270 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       17
NUMBER OF LINES:       622
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Datron 9530 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 700d
#          TDS 794D
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.002  JMPL         TRIG_SENSITIVITY             PSUBI("Sens")
  1.003  DISP         {Undefined subprocedure!}
  1.004  END

  1.005  EVAL   Increment step number

# ****************************** Bandwidth *********************************

  2.001  LABEL        BANDWIDTH

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =ANALOG BANDWIDTH
  2.005  ENDIF

  2.006  CALL         Sub TDS500/600/700 Channel Name
  2.007  RSLT         =
  2.008  RSLT         = [V @ChanName]

  2.009  RSLT         =
  2.010  HEAD         ANALOG BANDWIDTH (CH [V @Chan])
  2.011  HEAD         -2{ 100 mV/div}
  2.012  TARGET
  2.013  CALL         Sub TDS500/600/700 Select Channel IEEE
  2.014  IEEE2        ACQ:MODE AVE;NUMAV 16
  2.015  IEEE2        TRIG:MAI:MOD NORM;TYPE EDGE
  2.016  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
  2.017  IEEE2        MEASU:METH MINM
  2.018  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE FREQ;STATE ON
  2.018  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYP PK2P;STATE ON
  2.019  IEEE2        HOR:SCA 50E-9
  2.020  IEEE2        CH[V @Chan]:SCA 100E-3

# Set Maximum check times for Sub TDS500/600/700 Check Trig Status IEEE.
  2.021  MATH         @TriggeredChkTimes = 1

# Set the output of the calibrator so the peak-to-peak measurement is
# between 599 mV and 601 mV.
  2.022  MATH         MEM = 600; MEM1 = MEM

  2.023  DO
  2.024  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  2.025  IF           MEM > 5560 || MEM < 4.44
  2.026  MATH         MEM = 600
  2.027  ENDIF

  2.028  9500         mVpp                         10MH           LS    S  L

  2.029  DO
  2.030  IEEE2        [D500]TRIG:MAI SETL
  2.031  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.032  UNTIL        @Triggered

  2.033  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  2.034  MATH         MEM = MEM / 1E-3
  2.035  UNTIL        (MEM >= 599) && (MEM <= 601)

  2.036  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  2.037  MATH         MEM = MEM1
  2.038  9500         mVpp                         2GH            LS    S  L
  2.039  IEEE2        TRIG:MAI SETL
  2.040  WAIT         -t 3 System Settling ...
  2.041  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  2.042  MATH         MEM = MEM / 1E-3
  2.043  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  2.044  MATH         S[10] = FMT((@Bandwidth / 1E+9), "%.0f") & " GHz"
  2.045  MEM2         = Limit: >= 424 mVpp @ 2 GHz, Result: [MEM2]
  2.046  EVAL   -e MEM >= 424 : [MEM2]

  3.001  HEAD         -2
  3.002  9500         *                                                 S

# If desired, you can test the optional bandwidth test or skip them.
  3.003  IF           @Chan == 1
  3.004  HEAD         BANDWIDTH TESTS (OTHER SCALES)
  3.005  OPBR         -z Checking the bandwidth of each channel at all
  3.005  OPBR         vertical scale settings is time consuming and
  3.005  OPBR         unnecessary if Self Test, Signal Path Compensation
  3.005  OPBR         and 100 mV scale bandwidth test have passed.
  3.005  OPBR
  3.005  OPBR         [No]Do you want to test the optional bandwidth test of
  3.005  OPBR         other scale settings?
  3.006  MATH         @TestOptBW = MEM1

  3.007  IF           @SourceChanNum == 1
# The next routine execution time include sample rate test, optional bandwidth
# test, trigger time accuracy test and CH 1 trigger sensitivity test.
  3.008  MATH         Time = @TestOptBW * @OptChBWTime + 6
  3.009  ELSE
  3.010  MATH         Time = 4 * @TestOptBW * @OptChBWTime + 6
  3.011  ENDIF

  3.012  DISP         The next routine operator intervention occurs
  3.012  DISP         in approximately [V Time] minutes ...
  3.013  ENDIF

  3.014  IF           @TestOptBW
  3.015  RSLT         =
  3.016  HEAD         -2{ 10 mV/div}
  3.017  TARGET
  3.018  IEEE2        HOR:SCA 50E-9
  3.019  IEEE2        CH[V @Chan]:SCA 10E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 59.9 mV and 60.1 mV.
  3.020  MATH         MEM = 60; MEM1 = MEM

  3.021  DO
  3.022  MATH         MEM = MEM1 + (60 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  3.023  IF           MEM > 5560 || MEM < 4.44
  3.024  MATH         MEM = 60
  3.025  ENDIF

  3.026  9500         mVpp                         10MH           LS    S  L

  3.027  DO
  3.028  IEEE2        [D500]TRIG:MAI SETL
  3.029  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  3.030  UNTIL        @Triggered

  3.031  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  3.032  MATH         MEM = MEM / 1E-3
  3.033  UNTIL        (MEM >= 59.9) && (MEM <= 60.1)

  3.034  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  3.035  MATH         MEM = MEM1
  3.036  9500         mVpp                         2GH            LS    S  L
  3.037  IEEE2        TRIG:MAI SETL
  3.038  WAIT         -t 3 System Settling ...
  3.039  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  3.040  MATH         MEM = MEM / 1E-3
  3.041  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  3.042  MEM2         = Limit: >= 42.4 mVpp @ 2 GHz, Result: [MEM2]
  3.043  EVAL   -e MEM >= 42.4 : [MEM2]

  4.001  RSLT         =
  4.002  HEAD         -2{ 20 mV/div}
  4.003  TARGET
  4.004  IEEE2        HOR:SCA 50E-9
  4.005  IEEE2        CH[V @Chan]:SCA 20E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 119.9 mV and 120.1 mV.
  4.006  MATH         MEM = 120; MEM1 = MEM

  4.007  DO
  4.008  MATH         MEM = MEM1 + (120 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  4.009  IF           MEM > 5560 || MEM < 4.44
  4.010  MATH         MEM = 120
  4.011  ENDIF

  4.012  9500         mVpp                         10MH           LS    S  L

  4.013  DO
  4.014  IEEE2        [D500]TRIG:MAI SETL
  4.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  4.016  UNTIL        @Triggered

  4.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  4.018  MATH         MEM = MEM / 1E-3
  4.019  UNTIL        (MEM >= 119.9) && (MEM <= 120.1)

  4.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  4.021  MATH         MEM = MEM1
  4.022  9500         mVpp                         2GH            LS    S  L
  4.023  IEEE2        TRIG:MAI SETL
  4.024  WAIT         -t 3 System Settling ...
  4.025  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  4.026  MATH         MEM = MEM / 1E-3
  4.027  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  4.028  MEM2         = Limit: >= 84.8 mVpp @ 2 GHz, Result: [MEM2]
  4.029  EVAL   -e MEM >= 84.8 : [MEM2]

  5.001  RSLT         =
  5.002  HEAD         -2{ 50 mV/div}
  5.003  TARGET
  5.004  IEEE2        HOR:SCA 50E-9
  5.005  IEEE2        CH[V @Chan]:SCA 50E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 299 mV and 301 mV.
  5.006  MATH         MEM = 300; MEM1 = MEM

  5.007  DO
  5.008  MATH         MEM = MEM1 + (300 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  5.009  IF           MEM > 5560 || MEM < 4.44
  5.010  MATH         MEM = 300
  5.011  ENDIF

  5.012  9500         mVpp                         10MH           LS    S  L

  5.013  DO
  5.014  IEEE2        [D500]TRIG:MAI SETL
  5.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  5.016  UNTIL        @Triggered

  5.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  5.018  MATH         MEM = MEM / 1E-3
  5.019  UNTIL        (MEM >= 299) && (MEM <= 301)

  5.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  5.021  MATH         MEM = MEM1
  5.022  9500         mVpp                         2GH            LS    S  L
  5.023  IEEE2        TRIG:MAI SETL
  5.024  WAIT         -t 3 System Settling ...
  5.025  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  5.026  MATH         MEM = MEM / 1E-3
  5.027  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  5.028  MEM2         = Limit: >= 212 mVpp @ 2 GHz, Result: [MEM2]
  5.029  EVAL   -e MEM >= 212 : [MEM2]

  6.001  RSLT         =
  6.002  HEAD         -2{ 200 mV/div}
  6.003  TARGET
  6.004  IEEE2        HOR:SCA 50E-9
  6.005  IEEE2        CH[V @Chan]:SCA 200E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 1199 mV and 1201 mV.
  6.006  MATH         MEM = 1200; MEM1 = MEM

  6.007  DO
  6.008  MATH         MEM = MEM1 + (1200 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  6.009  IF           MEM > 5560 || MEM < 4.44
  6.010  MATH         MEM = 1200
  6.011  ENDIF

  6.012  9500         mVpp                         10MH           LS    S  L

  6.013  DO
  6.014  IEEE2        [D500]TRIG:MAI SETL
  6.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  6.016  UNTIL        @Triggered

  6.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  6.018  MATH         MEM = MEM / 1E-3
  6.019  UNTIL        (MEM >= 1199) && (MEM <= 1201)

  6.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  6.021  MATH         MEM = MEM1
  6.022  9500         mVpp                         2GH            LS    S  L
  6.023  IEEE2        TRIG:MAI SETL
  6.024  WAIT         -t 3 System Settling ...
  6.025  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  6.026  MATH         MEM = MEM / 1E-3
  6.027  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  6.028  MEM2         = Limit: >= 848 mVpp @ 2 GHz, Result: [MEM2]
  6.029  EVAL   -e MEM >= 848 : [MEM2]

  7.001  RSLT         =
  7.002  HEAD         -2{ 500 mV/div}
  7.003  TARGET
  7.004  IEEE2        HOR:SCA 50E-9
  7.005  IEEE2        CH[V @Chan]:SCA 500E-3
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 3 Vpp.
  7.006  MATH         Ref = 3
  7.007  MATH         MEM = Ref; MEM1 = MEM

  7.008  DO
  7.009  MATH         MEM = MEM1 + (Ref - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  7.010  IF           MEM > 5.56 || MEM < 0.00444
  7.011  MATH         MEM = Ref
  7.012  ENDIF

  7.013  9500         Vpp                          10MH           LS    S  L

  7.014  DO
  7.015  IEEE2        [D500]TRIG:MAI SETL
  7.016  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  7.017  UNTIL        @Triggered

  7.018  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  7.019  UNTIL        (MEM >= (Ref - 0.002)) && (MEM <= (Ref + 0.002))

  7.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  7.021  MATH         MEM = MEM1
  7.022  9500         Vpp                          2GH            LS    S  L
  7.023  IEEE2        TRIG:MAI SETL
  7.024  WAIT         -t 3 System Settling ...
  7.025  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  7.026  MATH         MEM2 = FMT(MEM, "%.2f") & " Vpp"
  7.027  MATH         Ref = Ref * 0.707
  7.028  MATH         RefStr = FMT(Ref, "%.2f") & " Vpp"
  7.029  MEM2         = Limit: >= [V RefStr] @ 2 GHz, Result: [MEM2]
  7.030  EVAL   -e MEM >= Ref : [MEM2]

  8.001  RSLT         =
  8.002  HEAD         -2{ 1 V/div}
  8.003  TARGET
  8.004  IEEE2        HOR:SCA 50E-9
  8.005  IEEE2        CH[V @Chan]:SCA 1
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 3 Vpp because 9500 calibrator can only output maximum
# leveled sine 3.36 Vpp below 2.5 GHz.
  8.006  MATH         Ref = 3
  8.007  MATH         MEM = Ref; MEM1 = MEM

  8.008  DO
  8.009  MATH         MEM = MEM1 + (Ref - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  8.010  IF           MEM > 5.56 || MEM < 0.00444
  8.011  MATH         MEM = Ref
  8.012  ENDIF

  8.013  9500         Vpp                          10MH           LS    S  L

  8.014  DO
  8.015  IEEE2        [D500]TRIG:MAI SETL
  8.016  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  8.017  UNTIL        @Triggered

  8.018  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  8.019  UNTIL        (MEM >= (Ref - 0.002)) && (MEM <= (Ref + 0.002))

  8.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  8.021  MATH         MEM = MEM1
  8.022  9500         Vpp                          2GH            LS    S  L
  8.023  IEEE2        TRIG:MAI SETL
  8.024  WAIT         -t 3 System Settling ...
  8.025  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  8.026  MATH         MEM2 = FMT(MEM, "%.2f") & " Vpp"
  8.027  MATH         Ref = Ref * 0.707
  8.028  MATH         RefStr = FMT(Ref, "%.2f") & " Vpp"
  8.029  MEM2         = Limit: >= [V RefStr] @ 2 GHz, Result: [MEM2]
  8.030  EVAL   -e MEM >= Ref : [MEM2]

  9.001  HEAD         -2
  9.002  9500         *                                                 S
  9.003  ENDIF

  9.004  END

# ******************************** Sens ***********************************

  9.005  LABEL        TRIG_SENSITIVITY

  9.006  IF           @Chan == 1
  9.007  RSLT         =
  9.008  RSLT         =TRIG SENSITIVITY TESTS
  9.009  ENDIF

  9.010  CALL         Sub TDS500/600/700 Channel Name
  9.011  RSLT         =
  9.012  RSLT         = [V @ChanName]

  9.013  RSLT         =
  9.014  HEAD         TRIG SENSITIVITY TESTS (CH [V @Chan])
  9.015  HEAD         -2 { MAIN TRIG SENSITIVITY: (DC Coupled, 50 MHz)}
  9.016  TARGET
  9.017  CALL         Sub TDS500/600/700 Select Channel IEEE
  9.018  IEEE2        CH[V @Chan]:SCA 100E-3
  9.019  IEEE2        TRIG:MAI:MOD NORM;TYP EDGE
  9.020  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
  9.021  IEEE2        ACQ:MODE AVE;NUMAV 16;STATE ON
  9.022  IEEE2        HOR:MAI:SCA 25.0E-9
  9.023  IEEE2        HOR:MOD DELAYED
  9.024  IEEE2        HOR:DEL:MOD TRIGA
  9.025  IEEE2        TRIG:DEL:BY TIME;EDGE:SOU CH[V @Chan]
  9.026  IEEE2        HOR:DEL:SEC 25.0E-9
# Set to main trigger.
  9.026  IEEE2        HOR:MOD MAIN
  9.026  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
  9.027  IEEE2        TRIG:MAI:EDGE:SLO RISE
  9.028  IEEE2        TRIG:MAI SETL
  9.029  IEEE2        MEASU:METH MINM
  9.030  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE AMPL;STATE ON

# Set Maximum check times for Sub TDS500/600/700 Check Trig Status IEEE.
  9.031  MATH         @TriggeredChkTimes = 1

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 350 mV (100 mV/div, 3.5 div).
  9.032  MATH         MEM = 350; MEM1 = MEM

  9.033  DO
  9.034  MATH         MEM = MEM1 + (350 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  9.035  IF           MEM > 5560 || MEM < 4.44
  9.036  MATH         MEM = 350
  9.037  ENDIF

  9.038  9500         mVpp                         50MH           LS    S  L

  9.039  DO
  9.040  IEEE2        [D500]TRIG:MAI SETL
  9.041  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  9.042  UNTIL        @Triggered

  9.043  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
  9.044  MATH         MEM = MEM / 1E-3
  9.045  UNTIL        (MEM >= 348) && (MEM <= 352)

# Reduce the output of calibrator to one tenth (about 35 mV or 0.35 div)
# in place of using a 10x attenuator.
  9.046  MATH         @AmplVpp = (MEM1 * 1E-3) / 10
  9.047  MATH         MEM = @AmplVpp / 1E-3
  9.048  9500         mVpp                         50MH           LS    S  L

  9.049  IEEE2        TRIG:MAI:EDGE:SLO RISE

# Set the increment for Sub TDS500/600/700 Main or Delayed Trigger IEEE.
  9.050  MATH         @StepVal = 2E-3
  9.051  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
  9.052  MEM2         = Rising Slope, Limit: 0.35 div @ 50 MHz
  9.053  EVAL   -e @TriggerStable : [MEM2]

 10.001  MATH         MEM = @AmplVpp / 1E-3
 10.002  9500         mVpp                         50MH           LS    S  L
 10.003  IEEE2        TRIG:MAI:EDGE:SLO FALL
 10.004  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 10.005  MEM2         = Falling Slope, Limit: 0.35 div @ 50 MHz
 10.006  EVAL   -e @TriggerStable : [MEM2]

# Set back to rise slope edge trigger.
 11.001  IEEE2        TRIG:MAI:EDGE:SLO RISE

 11.002  RSLT         =
 11.003  HEAD         -2 { DELAYED TRIG SENSITIVITY: (DC Coupled, 50 MHz)}
 11.004  TARGET
# Set to delayed trigger.
 11.005  IEEE2        HOR:MOD DELAYED
 11.006  IEEE2        HOR:DEL:MOD TRIGA
 11.007  IEEE2        TRIG:DEL:BY TIME;EDGE:SOU CH[V @Chan]
 11.008  IEEE2        TRIG:DEL:EDGE:SLO RISE
 11.009  MATH         MEM = @AmplVpp / 1E-3
 11.010  9500         mVpp                         50MH           LS    S  L
 11.011  IEEE2        TRIG:DEL SETL
 11.012  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 11.013  MEM2         = Rising Slope, Limit: 0.35 div @ 50 MHz
 11.014  EVAL   -e @TriggerStable : [MEM2]

 12.001  IEEE2        TRIG:DEL:EDGE:SLO FALL
 12.002  MATH         MEM = @AmplVpp / 1E-3
 12.003  9500         mVpp                         50MH           LS    S  L
 12.004  IEEE2        TRIG:DEL SETL
 12.005  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 12.006  MEM2         = Falling Slope, Limit: 0.35 div @ 50 MHz
 12.007  EVAL   -e @TriggerStable : [MEM2]

# Set to main trigger again.
 13.001  IEEE2        HOR:MOD MAIN
 13.001  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC

 13.002  RSLT         =
 13.003  HEAD         { MAIN TRIG SENSITIVITY: (DC Coupled, Full Bandwidth)}
 13.004  TARGET
 13.005  IEEE2        HOR:SCA 500E-12
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV (100 mV/div, 5 div).
 13.006  MATH         MEM = 500; MEM1 = MEM

 13.007  DO
 13.008  MATH         MEM = MEM1 + (500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum output at this frequency because of unstable reading.
 13.009  IF           MEM > 3336 || MEM < 4.44
 13.010  MATH         MEM = 500
 13.011  ENDIF

 13.012  9500         mVpp                         2GH            LS    S  L

 13.013  DO
 13.014  IEEE2        [D500]TRIG:MAI SETL
 13.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
 13.016  UNTIL        @Triggered

 13.017  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
 13.018  MATH         MEM = MEM / 1E-3
 13.019  UNTIL        (MEM >= 495) && (MEM <= 505)

# Reduce the output of calibrator to one fifth (about 100 mV or 1 div)
# in place of using a 5x attenuator.
 13.020  MATH         @AmplVpp = (MEM1 * 1E-3) / 5
 13.021  MATH         MEM = @AmplVpp / 1E-3
 13.022  9500         mVpp                         2GH            LS    S  L
 13.023  MATH         @StepVal = 2E-3
 13.024  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 13.025  MEM2         = Rising Slope, Limit: 1 div @ 2 GHz
 13.026  EVAL   -e @TriggerStable : [MEM2]

 14.001  MATH         MEM = @AmplVpp / 1E-3
 14.002  9500         mVpp                         2GH            LS    S  L
 14.003  IEEE2        TRIG:MAIN SETL
 14.004  IEEE2        TRIG:MAI:EDGE:SLO FALL
 14.005  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 14.006  MEM2         = Falling Slope, Limit: 1 div @ 2 GHz
 14.007  EVAL   -e @TriggerStable : [MEM2]

 15.001  RSLT         =
 15.002  HEAD         { DELAYED TRIG SENSITIVITY: (DC Coupled,Full Bandwidth)}
 15.003  TARGET
# To TDS 694C and TDS 794D the delayed trigger sensitivity is 1 div at 1.5GHz.
 15.004  IEEE2        TRIG:MAI:EDGE:SLO RISE
 15.005  IEEE2        TRIG:MAI:EDGE:SOU LINE
 15.006  IEEE2        HOR:MOD DELAYED
 15.007  IEEE2        TRIG:DEL:BY TIME;EDGE:SOU CH[V @Chan]
 15.008  IEEE2        TRIG:DEL:EDGE:SLO RISE

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV (100 mV/div, 5 div).
 15.009  MATH         MEM = 500; MEM1 = MEM

 15.010  DO
 15.011  MATH         MEM = MEM1 + (500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum output at this frequency because of unstable reading.
 15.012  IF           MEM > 3336 || MEM < 4.44
 15.013  MATH         MEM = 500
 15.014  ENDIF

 15.015  9500         mVpp                         1.5GH          LS    S  L

 15.016  DO
 15.017  IEEE2        [D500]TRIG:MAI SETL
 15.018  CALL         Sub TDS500/600/700 Check Trig Status IEEE
 15.019  UNTIL        @Triggered

 15.020  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
 15.021  MATH         MEM = MEM / 1E-3
 15.022  UNTIL        (MEM >= 495) && (MEM <= 505)

# Reduce the output of calibrator to one fifth (about 100 mV or 1 div)
# in place of using a 5x attenuator.
 15.023  MATH         @AmplVpp = (MEM1 * 1E-3) / 5
 15.024  MATH         MEM = @AmplVpp / 1E-3
 15.025  9500         mVpp                         1.5GH          LS    S  L
 15.026  IEEE2        TRIG:DEL SETL
 15.027  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 15.028  MEM2         = Rising Slope, Limit: 1 div @ 1.5 GHz
 15.029  EVAL   -e @TriggerStable : [MEM2]

 16.001  IEEE2        TRIG:DEL:EDGE:SLO FALL
 16.002  MATH         MEM = @AmplVpp / 1E-3
 16.003  9500         mVpp                         1.5GH          LS    S  L
 16.004  IEEE2        TRIG:DEL SETL
 16.005  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 16.006  MEM2         = Falling Slope, Limit: 1 div @ 1.5 GHz
 16.007  EVAL   -e @TriggerStable : [MEM2]

 17.001  HEAD         -2
 17.002  9500         *                                                 S
 17.003  END
